<?php
/*
Plugin Name: WordCamp Poznań 2011
Plugin URI: http://wordpress.org/extend/plugins/wordcamp-poznan-2011/
Description: Wtyczka na konferencję WordCamp Poznań 2011
Author: Vokiel
Version: 0.1.5
Author URI: http://blog.vokiel.com/plugins/wordcamp-poznan-2011/
Licence: GPL2
*/

if ( !class_exists("WordCampPoznan2011") ){ // ok, droga wolna
	class WordCampPoznan2011 {
		
		public static function init_admin_menu(){
			add_options_page('WordCamp Poznań 2011', 'WordCamp Poznań', 'manage_options', 'wordcamp-poznan', array('WordCampPoznan2011', 'wordcamp_poznan_options'));
			
			add_menu_page( 'WordCamp Poznań 2011 - Main', 'WordCamp', 'manage_options', 'wordcamp', array('WordCampPoznan2011', 'wordcamp_poznan_mainmenu'),plugin_dir_url( __FILE__ ).'/img/wordpress-logo-16-blue.png');
			add_submenu_page( 'wordcamp', 'WordCamp - Ustawienia', 'Ustawienia', 'manage_options', 'wordcamp-ustawienia', array('WordCampPoznan2011', 'wordcamp_poznan_options'));
		}
		public static function wordcamp_poznan_options(){
			if (!current_user_can('manage_options'))  { wp_die( __('You do not have sufficient permissions to access this page.') ); }
			?>
			<div class="wrap">
				<?php if ( function_exists('screen_icon') ) screen_icon(); ?>
				<style type="text/css">#icon-wordcamp {background:  url('<?php echo plugin_dir_url( __FILE__ ).'/img/wordpress-logo-32-blue.png';?>') no-repeat;}</style>
				<h2>WordCamp Poznań 2011 Admin Menu</h2>
			</div>
			<?php
		}
		
		public static function wordcamp_poznan_mainmenu(){
			if (!current_user_can('manage_options'))  { wp_die( __('You do not have sufficient permissions to access this page.') ); }
			?>
			<div class="wrap">
				<?php if ( function_exists('screen_icon') ) screen_icon(); ?>
				<style type="text/css">#icon-wordcamp {background:  url('<?php echo plugin_dir_url( __FILE__ ).'/img/wordpress-logo-32-blue.png';?>') no-repeat;}</style>
				<h2>WordCamp Poznań 2011 - Main Menu</h2>
			</div>
			<?php
		}
	}
	
	add_action('admin_menu', array('WordCampPoznan2011','init_admin_menu'));
}